SUSE Security Update: Security update for libcaca
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:0820-1
Rating:             important
References:         #1184751 #1184752 
Cross-References:   CVE-2021-30498 CVE-2021-30499
CVSS scores:
                    CVE-2021-30498 (NVD) : 9.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
                    CVE-2021-30498 (SUSE): 9.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
                    CVE-2021-30499 (NVD) : 9.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
                    CVE-2021-30499 (SUSE): 9.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Affected Products:
                    HPE Helion Openstack 8
                    SUSE Linux Enterprise Server 12-SP2-BCL
                    SUSE Linux Enterprise Server 12-SP3-BCL
                    SUSE Linux Enterprise Server 12-SP3-LTSS
                    SUSE Linux Enterprise Server 12-SP4-LTSS
                    SUSE Linux Enterprise Server 12-SP5
                    SUSE Linux Enterprise Server for SAP 12-SP3
                    SUSE Linux Enterprise Server for SAP 12-SP4
                    SUSE Linux Enterprise Server for SAP Applications 12-SP5
                    SUSE Linux Enterprise Software Development Kit 12-SP5
                    SUSE OpenStack Cloud 8
                    SUSE OpenStack Cloud 9
                    SUSE OpenStack Cloud Crowbar 8
                    SUSE OpenStack Cloud Crowbar 9
______________________________________________________________________________

   An update that fixes two vulnerabilities is now available.

Description:

   This update for libcaca fixes the following issues:

   - CVE-2021-30498, CVE-2021-30499: If an image has a size of 0x0, when
     exporting, no data is written and space is allocated for the header
     only, not taking into account that sprintf appends a NUL byte
     (bsc#1184751, bsc#1184752).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE OpenStack Cloud Crowbar 9:

      zypper in -t patch SUSE-OpenStack-Cloud-Crowbar-9-2022-820=1

   - SUSE OpenStack Cloud Crowbar 8:

      zypper in -t patch SUSE-OpenStack-Cloud-Crowbar-8-2022-820=1

   - SUSE OpenStack Cloud 9:

      zypper in -t patch SUSE-OpenStack-Cloud-9-2022-820=1

   - SUSE OpenStack Cloud 8:

      zypper in -t patch SUSE-OpenStack-Cloud-8-2022-820=1

   - SUSE Linux Enterprise Software Development Kit 12-SP5:

      zypper in -t patch SUSE-SLE-SDK-12-SP5-2022-820=1

   - SUSE Linux Enterprise Server for SAP 12-SP4:

      zypper in -t patch SUSE-SLE-SAP-12-SP4-2022-820=1

   - SUSE Linux Enterprise Server for SAP 12-SP3:

      zypper in -t patch SUSE-SLE-SAP-12-SP3-2022-820=1

   - SUSE Linux Enterprise Server 12-SP5:

      zypper in -t patch SUSE-SLE-SERVER-12-SP5-2022-820=1

   - SUSE Linux Enterprise Server 12-SP4-LTSS:

      zypper in -t patch SUSE-SLE-SERVER-12-SP4-LTSS-2022-820=1

   - SUSE Linux Enterprise Server 12-SP3-LTSS:

      zypper in -t patch SUSE-SLE-SERVER-12-SP3-2022-820=1

   - SUSE Linux Enterprise Server 12-SP3-BCL:

      zypper in -t patch SUSE-SLE-SERVER-12-SP3-BCL-2022-820=1

   - SUSE Linux Enterprise Server 12-SP2-BCL:

      zypper in -t patch SUSE-SLE-SERVER-12-SP2-BCL-2022-820=1

   - HPE Helion Openstack 8:

      zypper in -t patch HPE-Helion-OpenStack-8-2022-820=1



Package List:

   - SUSE OpenStack Cloud Crowbar 9 (x86_64):

      libcaca-debugsource-0.99.beta18-14.6.1
      libcaca0-0.99.beta18-14.6.1
      libcaca0-debuginfo-0.99.beta18-14.6.1

   - SUSE OpenStack Cloud Crowbar 8 (x86_64):

      libcaca-debugsource-0.99.beta18-14.6.1
      libcaca0-0.99.beta18-14.6.1
      libcaca0-debuginfo-0.99.beta18-14.6.1

   - SUSE OpenStack Cloud 9 (x86_64):

      libcaca-debugsource-0.99.beta18-14.6.1
      libcaca0-0.99.beta18-14.6.1
      libcaca0-debuginfo-0.99.beta18-14.6.1

   - SUSE OpenStack Cloud 8 (x86_64):

      libcaca-debugsource-0.99.beta18-14.6.1
      libcaca0-0.99.beta18-14.6.1
      libcaca0-debuginfo-0.99.beta18-14.6.1

   - SUSE Linux Enterprise Software Development Kit 12-SP5 (aarch64 ppc64le s390x x86_64):

      libcaca-debugsource-0.99.beta18-14.6.1
      libcaca-devel-0.99.beta18-14.6.1
      libcaca0-plugins-0.99.beta18-14.6.1
      libcaca0-plugins-debuginfo-0.99.beta18-14.6.1

   - SUSE Linux Enterprise Server for SAP 12-SP4 (ppc64le x86_64):

      libcaca-debugsource-0.99.beta18-14.6.1
      libcaca0-0.99.beta18-14.6.1
      libcaca0-debuginfo-0.99.beta18-14.6.1

   - SUSE Linux Enterprise Server for SAP 12-SP3 (ppc64le x86_64):

      libcaca-debugsource-0.99.beta18-14.6.1
      libcaca0-0.99.beta18-14.6.1
      libcaca0-debuginfo-0.99.beta18-14.6.1

   - SUSE Linux Enterprise Server 12-SP5 (aarch64 ppc64le s390x x86_64):

      libcaca-debugsource-0.99.beta18-14.6.1
      libcaca0-0.99.beta18-14.6.1
      libcaca0-debuginfo-0.99.beta18-14.6.1

   - SUSE Linux Enterprise Server 12-SP4-LTSS (aarch64 ppc64le s390x x86_64):

      libcaca-debugsource-0.99.beta18-14.6.1
      libcaca0-0.99.beta18-14.6.1
      libcaca0-debuginfo-0.99.beta18-14.6.1

   - SUSE Linux Enterprise Server 12-SP3-LTSS (aarch64 ppc64le s390x x86_64):

      libcaca-debugsource-0.99.beta18-14.6.1
      libcaca0-0.99.beta18-14.6.1
      libcaca0-debuginfo-0.99.beta18-14.6.1

   - SUSE Linux Enterprise Server 12-SP3-BCL (x86_64):

      libcaca-debugsource-0.99.beta18-14.6.1
      libcaca0-0.99.beta18-14.6.1
      libcaca0-debuginfo-0.99.beta18-14.6.1

   - SUSE Linux Enterprise Server 12-SP2-BCL (x86_64):

      libcaca-debugsource-0.99.beta18-14.6.1
      libcaca0-0.99.beta18-14.6.1
      libcaca0-debuginfo-0.99.beta18-14.6.1

   - HPE Helion Openstack 8 (x86_64):

      libcaca-debugsource-0.99.beta18-14.6.1
      libcaca0-0.99.beta18-14.6.1
      libcaca0-debuginfo-0.99.beta18-14.6.1


References:

   https://www.suse.com/security/cve/CVE-2021-30498.html
   https://www.suse.com/security/cve/CVE-2021-30499.html
   https://bugzilla.suse.com/1184751
   https://bugzilla.suse.com/1184752